"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importDefault(require("react"));
var _doc_utils_1 = require("@doc-utils");
var generated_props_json_1 = tslib_1.__importDefault(require("./generated-props.json"));
var generated_examples_json_1 = tslib_1.__importDefault(require("./generated-examples.json"));
var _1 = require(".");
function default_1() {
    return (react_1.default.createElement(_doc_utils_1.Docs, { title: "Provider", lead: "A component that provides global configuration for RMWC.", module: "@rmwc/provider", styles: [], examples: generated_examples_json_1.default },
        react_1.default.createElement(_doc_utils_1.DocsP, null, "You can wrap your top level App component with RMWC provider to set global configuration options. Just pass the options in as props."),
        react_1.default.createElement(_doc_utils_1.DocsExample, { codeOnly: true }, 
        /* jsx */ "\n          import React from 'react';\n          import * as ReactDOM from 'react-dom';\n          import App from './App'; // your main app component\n          import { RMWCProvider } from '@rmwc/provider';\n\n          // This example disables ripples globally by default\n          ReactDOM.render(\n            <RMWCProvider\n              // Globally disable ripples\n              ripple={false}\n              // Global options for icons\n              // Takes the same options as the icon component\n              icon={{\n                basename: 'material-icons'\n              }}\n              // Global options for typography\n              // allows mapping of a defaultTag or specific classes\n              // See the Typography docs for more info\n              typography={{\n                defaultTag: 'div',\n                headline1: 'h1'\n              }}\n              // Global options for tooltips\n              // Takes most of the options for tooltips\n              // See the Tooltip docs for more info\n              tootlip={{\n                align: 'right'\n              }}\n            >\n              <App />\n            </RMWCProvider>,\n            document.getElementById('root'),\n          );\n        "),
        react_1.default.createElement(_doc_utils_1.DocProps, { src: generated_props_json_1.default, components: [{ displayName: 'RMWCProvider', component: _1.RMWCProvider }] })));
}
exports.default = default_1;
